%% hydrated RT
% load the .spc or .DSC data by inserting in the path in 'eprload' function
clear, clc
[x,y,Params] = eprload('PARACAT_WP3_20210625_01_CW-EPR/CuCHA_hydrated_RT.spc')

Sys0.g = [2.073 2.415];
Sys0.lwpp = [1 2.3];
Sys0.Nucs = 'Cu';
Sys0.A = [30 400];
Sys0.logtcorr = -9.9;
Sys0.weight = 0.47;
Sys1.g = [2.090 2.370];
Sys1.Nucs = 'Cu';
Sys1.lwpp = [1 2.];
Sys1.A = [30 450];
Sys1.gStrain = [0.009 0.02];
Sys1.AStrain = [6 7];
Sys1.weight = 0.53;
Sys1.gAStrainCorr = +1;
Exp.CenterSweep = [340 200]; %in mT
Exp.mwFreq = 9.418660;
Exp.ModAmp = 1; %in mT
Exp.nPoints = 6000;
Exp.Temperature = 293;
Expf.CenterSweep = [340 200]; %in mT
Expf.mwFreq = 9.418660;
Expf.ModAmp = 1; %in mT
Expf.nPoints = 6000;
Expf.Temperature = 293;
[xr,yr] = pepper({Sys1,Sys0},Exp);
simr = yr/max(yr);
[xf,yf] = chili(Sys0,Expf);
simf = yf/max(yf);
B = x/10;
spc = y/max(y);
sim = simr+0.5*simf
plot(xr,sim,'r',B,spc,'k','LineWidth',1);

%% hydrated 70K
clear, clc
[x,y,Params] = eprload('PARACAT_WP3_20210625_01_CW-EPR/CuCHA_hydrated_70K.spc')
Sys0.g = [2.070 2.415];
Sys0.lwpp = [1.0 2.2];
Sys0.Nucs = 'Cu';
Sys0.A = [30 360];
Sys0.gStrain = [0.009 0.02];
Sys0.AStrain = [8 8];
Sys0.weight = 0.47;
Sys1.g = [2.065 2.370];
Sys1.Nucs = 'Cu';
Sys1.lwpp = [1.0 2.4];
Sys1.A = [30 450];
Sys1.gStrain = [0.009 0.02];
Sys1.AStrain = [6 7];
Sys1.weight = 0.53;
Sys0.gAStrainCorr = +1;
Sys1.gAStrainCorr = +1;
Exp.CenterSweep = [400 800]; %in mT
Exp.mwFreq = 9.419418;
Exp.ModAmp = 0.5; %in mT
Exp.nPoints = 4000;
Exp.Temperature = 70;
[xb,yb] = pepper({Sys0,Sys1},Exp);
sim = yb/max(yb);
B = x/10;
spc = y/max(y);
plot(xb,sim,B,spc);


%% dehydrated
clear, clc
[x,y,Params] = eprload('PARACAT_WP3_20210625_01_CW-EPR/CuCHA_dehydrated_400degrees.spc')

Sys0.g = [2.067 2.355];
Sys0.lwpp = [1. 1.];
Sys0.Nucs = 'Cu';
Sys0.A = [30 462];
Sys0.weight = 0.85;
Sys1.g = [2.062 2.320];
Sys1.Nucs = 'Cu';
Sys1.lwpp = [2 0.3];
Sys1.A = [30 487];
Sys1.weight = 0.15;
Exp.CenterSweep = [340 200]; %in mT
Exp.mwFreq = 9.421185;
Exp.ModAmp = 1; %in mT
Exp.nPoints = 6000;
Exp.Temperature = 293;
[xr,yr] = pepper({Sys1,Sys0},Exp);
sim = yr/max(yr);
B = x/10;
spc = y/max(y);
plot(xr,sim,'r',B,spc,'k','LineWidth',1);