%% 1H simulations hydrated

[v(1,:),spc(1,:)] = eprload('PARACAT_WP3_20210625_04_ENDOR/CuCHA_1H_10040G.DSC');
spc(1,:) = real(spc(1,:))/max(real(spc(1,:)));
[v(2,:),spc(2,:)] = eprload('PARACAT_WP3_20210625_04_ENDOR/CuCHA_1H_11596G.DSC');
spc(2,:)= real(spc(2,:))/max(real(spc(2,:)));

Exp.Range = [30 60];
Exp.nPoints = 250;
Exp.mwFreq = 33.86267;
Exp.ExciteWidth = 300;
B = [1004.0 1159.6];
vL = ((14.9021186/350)*B);

Options = struct('nKnots',181,'Enhancement','off','OriPreSelect', 1);

for j = 1:1:2
        
        Sys.S = 1/2;
        Sys.g = [2.060 2.345];
        Sys.Nucs = '1H';
        %Aiso = -1.5;
        %T = [-4 -6 10];
        Aiso = -7;
        T = [-2 -16 19];
        Sys.A = [Aiso + T];
        Sys.AFrame = [0 90 0]*pi/180;
        Sys.lwEndor = 1.9;
        
        Sys2.S = 1/2;
        Sys2.g = [2.060 2.345];
        Sys2.Nucs = '1H';
        A2iso = 0.3; 
        T2 = [-3 -4 7];
        Sys2.A = A2iso + T2;
        Sys2.AFrame = [0 20 0]*pi/180;
        Sys2.lwEndor = 0.5;
        
        Sys3.S = 1/2;
        Sys3.g = [2.060 2.345];
        Sys3.Nucs = '1H';
        A3iso = -0.8; 
        T3 = [-0.4 -0.4 0.8];
        Sys3.A = A3iso + T3;
        Sys3.AFrame = [0 50 0]*pi/180;
        Sys3.lwEndor = 0.3;
        Sys.weight = 1;
        Sys2.weight = 0;
        Sys3.weight = 0;
        %Sys3.weight = 0.4
        %Sys2.weight = 5;
        %Sys3.weight = 0.4;
        Exp.Field = B(j);
        
        [v_sim(j,:),spc_sim(j,:)]=salt({Sys,Sys2,Sys3},Exp,Options);
        spc_sim(j,:)=real(spc_sim(j,:))/max(real(spc_sim(j,:)));
        
end
    
figure('Name','Simulation','NumberTitle','off')
for j = 1:1:2
    plot(v(j,:)-vL(j),spc(j,:)+j,'k',v_sim(j,:)-vL(j),spc_sim(j,:)+j,'r','LineWidth',2)
    hold on
end
xlim([-8 8]) % left and right limits of the x-axis
xlabel('\nu_{RF} - \nu_H / MHz') % x-axis label
ylim([-2 7]);
%ylabel('Signal Amplitude / a.u.') % y-a
h = gca;
h.XAxis.FontSize = 31;
h.YAxis.Visible = 'off';
set(h,'ytick',[],'box','off');
hold off

%% 1H Simulations partially hydrated

clear, clc
[v(1,:),spc(1,:)] = eprload('PARACAT_WP3_20210625_04_ENDOR/CuCHA_1H_10235G_partially_hydrated.DSC');
spc(1,:)= real(spc(1,:))/max(real(spc(1,:)));
[v(2,:),spc(2,:)] = eprload('PARACAT_WP3_20210625_04_ENDOR/CuCHA_1H_11652G_partially_hydrated.DSC');
spc(2,:)= real(spc(2,:))/max(real(spc(2,:)));

Exp.nPoints = 250;
Exp.mwFreq = 33.88355;
Exp.ExciteWidth = 150;
B = [1023.5 1165.2];
vL = ((14.9021186/350)*B);

Options = struct('nKnots',181,'Enhancement','off','OriPreSelect', 0);

for j = 1:1:2
Sys.S = 1/2;
Sys.g = [2.070 2.360];
Sys.Nucs = '1H';
Aiso = -2.2;
T = [-4 -7 11];
Sys.A = [Aiso + T];
Sys.AFrame = [0 85 0]*pi/180;
Sys.lwEndor = 1.3;
Exp.Field = B(j);

[v_sim(j,:),spc_sim(j,:)]=salt(Sys,Exp,Options);
spc_sim(j,:)=real(spc_sim(j,:))/max(real(spc_sim(j,:)));

end


for j = 1:1:2
plot(v(j,:)-vL(j),spc(j,:)+2*j,'k',v_sim(j,:)-vL(j),spc_sim(j,:)+2*j,'r','LineWidth',2.5);
hold on
end
xlim([-8 8]) % left and right limits of the x-axis
ylim([1 6]);
xlabel('\nu_{RF} - \nu_H / MHz') % x-axis label
%ylabel('Signal Amplitude / a.u.') % y-a
h = gca;
h.XAxis.FontSize = 47;
h.YAxis.Visible = 'off';
set(h,'ytick',[],'box','off')
hold off


%% Hydrated 1st 17O species
clear 
[v(1,:),spc(1,:)] = eprload('PARACAT_WP3_20210625_04_ENDOR/CuCHA_17O_10045G_hydrated.DSC');
spc(1,:) = real(spc(1,:))/max(real(spc(1,:)));
[v(2,:),spc(2,:)] = eprload('PARACAT_WP3_20210625_04_ENDOR/CuCHA_17O_10350G_hydrated.DSC');
spc(2,:)= real(spc(2,:))/max(real(spc(2,:)));
[v(3,:),spc(3,:)] = eprload('PARACAT_WP3_20210625_04_ENDOR/CuCHA_17O_10850G_hydrated.DSC');
spc(3,:) = real(spc(3,:))/max(real(spc(3,:)));
[v(4,:),spc(4,:)] = eprload('PARACAT_WP3_20210625_04_ENDOR/CuCHA_17O_11220G_hydrated.DSC');
spc(4,:) = real(spc(4,:))/max(real(spc(4,:)));
[v(5,:),spc(5,:)] = eprload('PARACAT_WP3_20210625_04_ENDOR/CuCHA_17O_11495G_hydrated.DSC');
spc(5,:) = real(spc(5,:))/max(real(spc(5,:)));
[v(6,:),spc(6,:)] = eprload('PARACAT_WP3_20210625_04_ENDOR/CuCHA_17O_11596G_hydrated.DSC');
spc(6,:) = real(spc(6,:))/max(real(spc(6,:)));

Exp.Temperature = 15;
Exp.Range = [1 44];
Exp.nPoints = 440;
Exp.mwFreq = 33.86203;
Exp.ExciteWidth = 600;
%Exp.Harmonic = 1;
B = [1004.5 1035.0 1085.0 1122.0 1149.5 1159.6];

vL = ((2.02098/350)*B);

Options = struct('nKnots',200, 'Enhancement', 'on', 'OriPreSelect', 0);
%Opt.Method = 'hybrid';
%Opt.HybridCoreNuclei = [2];
%for i = 1 % proton n# in dft orca simulation
    for j = 1:1:6
        
        Sys.S = 1/2;
        Sys.g = [2.065 2.370];
        %Sys.gFrame = [-0.4690 1.9100 0.3693];
        %Sys.gFrame = [3.14062298421286 1.27344086523479 -1.54784888671661];
        Sys.Nucs = '17O';
        Aiso = -44.5; %+-2 MHz
        T = [8. 8. -16]; %+-1 MHz
        Sys.A = Aiso + T;
        Sys.AFrame = [0 90 0]*pi/180;
        Sys.Q = 4;
        Sys.QFrame = [0 50 0]*pi/180;
        Sys.lwEndor = 2;
        
        Exp.Field = B(j);
        
        [v_sim(j,:),spc_sim(j,:)]=salt(Sys,Exp,Options);
        spc_sim(j,:)=spc_sim(j,:)/max(abs(spc_sim(j,:)));
        
    end

    
 
figure('Name','Simulation','NumberTitle','off')
for j = 1:1:6
    plot(v(j,:),spc(j,:)+j,'k',v_sim(j,:),spc_sim(j,:)+j,'r')
    
    hold on
end
   
xlim([1 44]) % left and right limits of the x-axis
xlabel('Frequency / MHz') % x-axis label
ylabel('Signal Amplitude / a.u.') % y-axis label
%% Hydrated second 17O species
clear 
[v(1,:),spc(1,:)] = eprload('PARACAT_WP3_20210625_04_ENDOR/CuCHA_17O_10045G_hydrated.DSC');
spc(1,:) = real(spc(1,:))/max(real(spc(1,:)));
[v(2,:),spc(2,:)] = eprload('PARACAT_WP3_20210625_04_ENDOR/CuCHA_17O_10350G_hydrated.DSC');
spc(2,:)= real(spc(2,:))/max(real(spc(2,:)));
[v(3,:),spc(3,:)] = eprload('PARACAT_WP3_20210625_04_ENDOR/CuCHA_17O_10850G_hydrated.DSC');
spc(3,:) = real(spc(3,:))/max(real(spc(3,:)));
[v(4,:),spc(4,:)] = eprload('PARACAT_WP3_20210625_04_ENDOR/CuCHA_17O_11220G_hydrated.DSC');
spc(4,:) = real(spc(4,:))/max(real(spc(4,:)));
[v(5,:),spc(5,:)] = eprload('PARACAT_WP3_20210625_04_ENDOR/CuCHA_17O_11495G_hydrated.DSC');
spc(5,:) = real(spc(5,:))/max(real(spc(5,:)));
[v(6,:),spc(6,:)] = eprload('PARACAT_WP3_20210625_04_ENDOR/CuCHA_17O_11596G_hydrated.DSC');
spc(6,:) = real(spc(6,:))/max(real(spc(6,:)));

Exp.Temperature = 15;
Exp.Range = [1 44];
Exp.nPoints = 440;
Exp.mwFreq = 33.86203;
Exp.ExciteWidth = 600;
%Exp.Harmonic = 1;
B = [1004.5 1035.0 1085.0 1122.0 1149.5 1159.6];

vL = ((2.02098/350)*B);

Options = struct('nKnots',200, 'Enhancement', 'on', 'OriPreSelect', 0);
%Opt.Method = 'hybrid';
%Opt.HybridCoreNuclei = [2];
%for i = 1 % proton n# in dft orca simulation
    for j = 1:1:6
        
        Sys.S = 1/2;
        Sys.g = [2.065 2.370];
        %Sys.gFrame = [-0.4690 1.9100 0.3693];
        %Sys.gFrame = [3.14062298421286 1.27344086523479 -1.54784888671661];
        Sys.Nucs = '17O';
        Aiso = -10; %+-2 MHz
        T = [2 2 -4]; %+-1 MHz
        Sys.A = Aiso + T;
        Sys.AFrame = [0 20 0]*pi/180;
        Sys.Q = 4;
        Sys.QFrame = [0 50 0]*pi/180;
        Sys.lwEndor = 2;
        
        Exp.Field = B(j);
        
        [v_sim(j,:),spc_sim(j,:)]=salt(Sys,Exp,Options);
        spc_sim(j,:)=spc_sim(j,:)/max(abs(spc_sim(j,:)));
        
    end

    
 
figure('Name','Simulation','NumberTitle','off')
for j = 1:1:6
    plot(v(j,:),spc(j,:)+j,'k',v_sim(j,:),spc_sim(j,:)+j,'r')
    
    hold on
end
   
xlim([1 44]) % left and right limits of the x-axis
xlabel('Frequency / MHz') % x-axis label
ylabel('Signal Amplitude / a.u.') % y-axis label

%% Dehydrated two 17O species

clear, clc
[v(1,:),spc(1,:)] = eprload('PARACAT_WP3_20210625_04_ENDOR/CuCHA_17O_10060G_dehydrated.DSC');
spc(1,:) = real(spc(1,:))/max(real(spc(1,:)));
[v(2,:),spc(2,:)] = eprload('PARACAT_WP3_20210625_04_ENDOR/CuCHA_17O_10350G_dehydrated.DSC');
spc(2,:)= real(spc(2,:))/max(real(spc(2,:)));
[v(3,:),spc(3,:)] = eprload('PARACAT_WP3_20210625_04_ENDOR/CuCHA_17O_10850G_dehydrated.DSC');
spc(3,:) = real(spc(3,:))/max(real(spc(3,:)));
[v(4,:),spc(4,:)] = eprload('PARACAT_WP3_20210625_04_ENDOR/CuCHA_17O_11220G_dehydrated.DSC');
spc(4,:) = real(spc(4,:))/max(real(spc(4,:)));
[v(5,:),spc(5,:)] = eprload('PARACAT_WP3_20210625_04_ENDOR/CuCHA_17O_11554G_dehydrated.DSC');
spc(5,:) = real(spc(5,:))/max(real(spc(5,:)));
[v(6,:),spc(6,:)] = eprload('PARACAT_WP3_20210625_04_ENDOR/CuCHA_17O_11655G_dehydrated.DSC');
spc(6,:) = real(spc(6,:))/max(real(spc(6,:)));

Exp.Temperature = 20;
Exp.Range = [1 100];
Exp.nPoints = 440;
Exp.mwFreq = 33.85848;
Exp.ExciteWidth = 600;
%Exp.Harmonic = 1;
B = [1006.0 1035.0 1085.0 1122.0 1155.4 1165.5];

vL = ((2.02098/350)*B);

Options = struct('nKnots',200, 'Enhancement', 'on', 'OriPreSelect', 1);
for j = 1:1:6
        
        Sys1.S = 1/2;
        Sys1.g = [2.058 2.355];
        Sys1.Nucs = '17O';
        A1iso = -40.5; %+-2 MHz
        T1 = [9.5 9.5 -19]; %+-1 MHz
        Sys2.S = 1/2;
        Sys2.g = [2.058 2.355];
        Sys2.Nucs = '17O';
        A2iso = -51;
        T2 = [11.5 11.5 -23];
        Sys1.A = [A1iso + T1];
        Sys2.A = [A2iso + T2];
        Sys1.Q = 6;
        Sys2.Q = 6;
        Sys1.AFrame = [0 80 0]*pi/180;
        Sys2.AFrame = [0 80 0]*pi/180;
        Sys1.QFrame = [0 50 0]*pi/180;
        Sys2.QFrame = [0 50 0]*pi/180;
        Sys1.lwEndor = 1.;
        Sys2.lwEndor = 1.;
        Sys1.weight = 0.44;
        Sys2.weight = 0.56;
        
        Exp.Field = B(j);
        
        [v_sim(j,:),spc_sim(j,:)]=salt({Sys1,Sys2},Exp,Options);
        spc_sim(j,:)= real(spc_sim(j,:))/max(real(spc_sim(j,:)));
        %[v_sim(j,:),spc_sim(j,:)]=salt(Sys1,Exp,Options);
        spc_sim(j,:)= real(spc_sim(j,:))/max(real(spc_sim(j,:)));
        %[v_sim2(j,:),spc_sim2(j,:)]=salt(Sys2,Exp,Options);
        %spc_sim2(j,:)= real(spc_sim2(j,:))/max(real(spc_sim2(j,:)));
        spc_sim(j,:)= 1.4*spc_sim(j,:);
        
    end

 
figure('Name','Simulation','NumberTitle','off')
for j = 1:1:6
    plot(v(j,:),spc(j,:)+1.6*j,'k',v_sim(j,:),spc_sim(j,:)+1.6*j,'r','LineWidth',1)
    hold on
end
   
%ylim([0 val]) % lower and upper limits of the y-axis
xlim([1 50]) % left and right limits of the x-axis
xlabel('Frequency / MHz') % x-axis label
ylabel('Signal Amplitude / a.u.') % y-axis label
