%% DFT 6MR 2Al-2NN Simulation O1
clear, clc


Exp.Temperature = 20;
Exp.Range = [1 80];
Exp.nPoints = 440;
Exp.mwFreq = 33.85848;
Exp.ExciteWidth = 100;
Exp.Field = 1165.5;
Options = struct('nKnots',181,'Method','matrix','Enhancement', 'on', 'OriPreSelect', 1);
        Sys.S = 1/2;
        Sys.g = [2.058 2.345];
        Sys.Nucs = '17O';
        A1iso = -39.9; %+-2 MHz
        T1 = [20.5 20.3 -40.8]; %+-1 MHz
        Sys.A = [A1iso + T1];
        %Sys.gFrame = orca.gFrame;
        Sys.AFrame = [0 90 0]*pi/180;
        %Sys.Q = 5;
        %Sys.QFrame = [0 0 0]*pi/180;
        Sys.lwEndor = 1.2;
        
        [v_sim,spc_sim_O1_2NN]=salt(Sys,Exp,Options);
        spc_sim_O1_2NN=real(spc_sim_O1_2NN)/max(real(spc_sim_O1_2NN));
        
        figure('Name','Simulation','NumberTitle','off');
        plot(v_sim,spc_sim_O1_2NN,'r','LineWidth',1);
        save O17_2NN_O1_perp spc_sim_O1_2NN;
        save freq v_sim;
        
xlim([1 44]) % left and right limits of the x-axis
xlabel('Frequency / MHz') % x-axis label
ylabel('Signal Amplitude / a.u.')
%% DFT 6MR 2Al-2NN Simulation O2
clear, clc


Exp.Temperature = 20;
Exp.Range = [1 80];
Exp.nPoints = 440;
Exp.mwFreq = 33.85848;
Exp.ExciteWidth = 100;
Exp.Field = 1165.5;
Options = struct('nKnots',181,'Method','matrix','Enhancement', 'on', 'OriPreSelect', 1);
        Sys.S = 1/2;
        Sys.g = [2.058 2.345];
        Sys.Nucs = '17O';
        A1iso = -43.0; %+-2 MHz
        T1 = [12.2 12.1 -24.2]; %+-1 MHz
        Sys.A = [A1iso + T1];
        %Sys.gFrame = orca.gFrame;
        Sys.AFrame = [0 90 0]*pi/180;
        %Sys.Q = 5;
        %Sys.QFrame = [0 0 0]*pi/180;
        Sys.lwEndor = 1.2;
        
        [v_sim,spc_sim_O2_2NN]=salt(Sys,Exp,Options);
        spc_sim_O2_2NN=real(spc_sim_O2_2NN)/max(real(spc_sim_O2_2NN));
        
        figure('Name','Simulation','NumberTitle','off');
        plot(v_sim,spc_sim_O2_2NN,'r','LineWidth',1);
        save O17_2NN_O2_perp spc_sim_O2_2NN;
        
xlim([1 44]) % left and right limits of the x-axis
xlabel('Frequency / MHz') % x-axis label
ylabel('Signal Amplitude / a.u.')
%% DFT 6MR 2Al-2NN Simulation O3
clear, clc


Exp.Temperature = 20;
Exp.Range = [1 80];
Exp.nPoints = 440;
Exp.mwFreq = 33.85848;
Exp.ExciteWidth = 100;
Exp.Field = 1165.5;
Options = struct('nKnots',181,'Method','matrix','Enhancement', 'on', 'OriPreSelect', 1);
        Sys.S = 1/2;
        Sys.g = [2.058 2.345];
        Sys.Nucs = '17O';
        A1iso = -41.1; %+-2 MHz
        T1 = [9.3 9.4 -18.7]; %+-1 MHz
        Sys.A = [A1iso + T1];
        %Sys.gFrame = orca.gFrame;
        Sys.AFrame = [0 90 0]*pi/180;
        %Sys.Q = 5;
        %Sys.QFrame = [0 0 0]*pi/180;
        Sys.lwEndor = 1.2;
        
        [v_sim,spc_sim_O3_2NN]=salt(Sys,Exp,Options);
        spc_sim_O3_2NN=real(spc_sim_O3_2NN)/max(real(spc_sim_O3_2NN));
        
        figure('Name','Simulation','NumberTitle','off');
        plot(v_sim,spc_sim_O3_2NN,'r','LineWidth',1);
        save O17_2NN_O3_perp spc_sim_O3_2NN;
xlim([1 44]) % left and right limits of the x-axis
xlabel('Frequency / MHz') % x-axis label
ylabel('Signal Amplitude / a.u.')
%% DFT 6MR 2Al-2NN Simulation O4
clear, clc


Exp.Temperature = 20;
Exp.Range = [1 80];
Exp.nPoints = 440;
Exp.mwFreq = 33.85848;
Exp.ExciteWidth = 100;
Exp.Field = 1165.5;
Options = struct('nKnots',181,'Method','matrix','Enhancement', 'on', 'OriPreSelect', 1);
        Sys.S = 1/2;
        Sys.g = [2.058 2.345];
        Sys.Nucs = '17O';
        A1iso = -37.2; %+-2 MHz
        T1 = [6.7 6.7 -13.4]; %+-1 MHz
        Sys.A = [A1iso + T1];
        %Sys.gFrame = orca.gFrame;
        Sys.AFrame = [0 90 0]*pi/180;
        %Sys.Q = 5;
        %Sys.QFrame = [0 0 0]*pi/180;
        Sys.lwEndor = 1.2;
        
        [v_sim,spc_sim_O4_2NN]=salt(Sys,Exp,Options);
        spc_sim_O4_2NN=real(spc_sim_O4_2NN)/max(real(spc_sim_O4_2NN));
        
        figure('Name','Simulation','NumberTitle','off');
        plot(v_sim,spc_sim_O4_2NN,'r','LineWidth',1);
        save O17_2NN_O4_perp spc_sim_O4_2NN;
xlim([1 44]) % left and right limits of the x-axis
xlabel('Frequency / MHz') % x-axis label
ylabel('Signal Amplitude / a.u.')
%% DFT 6MR 2Al-3NN Simulation O1
clear, clc


Exp.Temperature = 20;
Exp.Range = [1 80];
Exp.nPoints = 440;
Exp.mwFreq = 33.85848;
Exp.ExciteWidth = 100;
Exp.Field = 1165.5;
Options = struct('nKnots',181,'Method','matrix','Enhancement', 'on', 'OriPreSelect', 1);
        Sys.S = 1/2;
        Sys.g = [2.058 2.345];
        Sys.Nucs = '17O';
        A1iso = -37.7; %+-2 MHz
        T1 = [16.4 16.5 -32.9]; %+-1 MHz
        Sys.A = [A1iso + T1];
        %Sys.gFrame = orca.gFrame;
        Sys.AFrame = [0 90 0]*pi/180;
        %Sys.Q = 5;
        %Sys.QFrame = [0 0 0]*pi/180;
        Sys.lwEndor = 1.2;
        
        [v_sim,spc_sim_O1_3NN]=salt(Sys,Exp,Options);
        spc_sim_O1_3NN=real(spc_sim_O1_3NN)/max(real(spc_sim_O1_3NN));
        
        figure('Name','Simulation','NumberTitle','off');
        plot(v_sim,spc_sim_O1_3NN,'r','LineWidth',1);
        save O17_3NN_O1_perp spc_sim_O1_3NN;
xlim([1 44]) % left and right limits of the x-axis
xlabel('Frequency / MHz') % x-axis label
ylabel('Signal Amplitude / a.u.')
%% DFT 6MR 2Al-3NN Simulation O2
clear, clc


Exp.Temperature = 20;
Exp.Range = [1 80];
Exp.nPoints = 440;
Exp.mwFreq = 33.85848;
Exp.ExciteWidth = 100;
Exp.Field = 1165.5;
Options = struct('nKnots',181,'Method','matrix','Enhancement', 'on', 'OriPreSelect', 1);
        Sys.S = 1/2;
        Sys.g = [2.058 2.345];
        Sys.Nucs = '17O';
        A1iso = -45.4; %+-2 MHz
        T1 = [8.9 9.0 -18.0]; %+-1 MHz
        Sys.A = [A1iso + T1];
        %Sys.gFrame = orca.gFrame;
        Sys.AFrame = [0 90 0]*pi/180;
        %Sys.Q = 5;
        %Sys.QFrame = [0 0 0]*pi/180;
        Sys.lwEndor = 1.2;
        
        [v_sim,spc_sim_O2_3NN]=salt(Sys,Exp,Options);
        spc_sim_O2_3NN=real(spc_sim_O2_3NN)/max(real(spc_sim_O2_3NN));
        
        figure('Name','Simulation','NumberTitle','off');
        plot(v_sim,spc_sim_O2_3NN,'r','LineWidth',1);
        save O17_3NN_O2_perp spc_sim_O2_3NN;
xlim([1 44]) % left and right limits of the x-axis
xlabel('Frequency / MHz') % x-axis label
ylabel('Signal Amplitude / a.u.')
%% DFT 6MR 2Al-3NN Simulation O3
clear, clc


Exp.Temperature = 20;
Exp.Range = [1 80];
Exp.nPoints = 440;
Exp.mwFreq = 33.85848;
Exp.ExciteWidth = 100;
Exp.Field = 1165.5;
Options = struct('nKnots',181,'Method','matrix','Enhancement', 'on', 'OriPreSelect', 1);
        Sys.S = 1/2;
        Sys.g = [2.058 2.345];
        Sys.Nucs = '17O';
        A1iso = -49.8; %+-2 MHz
        T1 = [11.8 11.8 -23.6]; %+-1 MHz
        Sys.A = [A1iso + T1];
        %Sys.gFrame = orca.gFrame;
        Sys.AFrame = [0 90 0]*pi/180;
        %Sys.Q = 5;
        %Sys.QFrame = [0 0 0]*pi/180;
        Sys.lwEndor = 1.2;
        
        [v_sim,spc_sim_O3_3NN]=salt(Sys,Exp,Options);
        spc_sim_O3_3NN=real(spc_sim_O3_3NN)/max(real(spc_sim_O3_3NN));
        
        figure('Name','Simulation','NumberTitle','off');
        plot(v_sim,spc_sim_O3_3NN,'r','LineWidth',1);
        save O17_3NN_O3_perp spc_sim_O3_3NN;
xlim([1 44]) % left and right limits of the x-axis
xlabel('Frequency / MHz') % x-axis label
ylabel('Signal Amplitude / a.u.')
%% DFT 6MR 2Al-3NN Simulation O4
clear, clc


Exp.Temperature = 20;
Exp.Range = [1 80];
Exp.nPoints = 440;
Exp.mwFreq = 33.85848;
Exp.ExciteWidth = 100;
Exp.Field = 1165.5;
Options = struct('nKnots',181,'Method','matrix','Enhancement', 'on', 'OriPreSelect', 1);
        Sys.S = 1/2;
        Sys.g = [2.058 2.345];
        Sys.Nucs = '17O';
        A1iso = -36.0; %+-2 MHz
        T1 = [8.6 8.6 -17.2]; %+-1 MHz
        Sys.A = [A1iso + T1];
        %Sys.gFrame = orca.gFrame;
        Sys.AFrame = [0 90 0]*pi/180;
        %Sys.Q = 5;
        %Sys.QFrame = [0 0 0]*pi/180;
        Sys.lwEndor = 1.2;
        
        [v_sim,spc_sim_O4_3NN]=salt(Sys,Exp,Options);
        spc_sim_O4_3NN=real(spc_sim_O4_3NN)/max(real(spc_sim_O4_3NN));
        
        figure('Name','Simulation','NumberTitle','off');
        plot(v_sim,spc_sim_O4_3NN,'r','LineWidth',1);
        save O17_3NN_O4_perp spc_sim_O4_3NN;
xlim([1 44]) % left and right limits of the x-axis
xlabel('Frequency / MHz') % x-axis label
ylabel('Signal Amplitude / a.u.')
%% DFT 6MR 1Al Simulation O1
clear, clc


Exp.Temperature = 20;
Exp.Range = [1 80];
Exp.nPoints = 440;
Exp.mwFreq = 33.85848;
Exp.ExciteWidth = 100;
Exp.Field = 1165.5;
Options = struct('nKnots',181,'Method','matrix','Enhancement', 'on', 'OriPreSelect', 1);
        Sys.S = 1/2;
        Sys.g = [2.058 2.345];
        Sys.Nucs = '17O';
        A1iso = -42.1; %+-2 MHz
        T1 = [19.8 19.6 -39.5]; %+-1 MHz
        Sys.A = [A1iso + T1];
        %Sys.gFrame = orca.gFrame;
        Sys.AFrame = [0 90 0]*pi/180;
        %Sys.Q = 5;
        %Sys.QFrame = [0 0 0]*pi/180;
        Sys.lwEndor = 1.2;
        
        [v_sim,spc_sim_O1_1Al]=salt(Sys,Exp,Options);
        spc_sim_O1_1Al=real(spc_sim_O1_1Al)/max(real(spc_sim_O1_1Al));
        
        figure('Name','Simulation','NumberTitle','off');
        plot(v_sim,spc_sim_O1_1Al,'r','LineWidth',1);
        save O17_1Al_O1_perp spc_sim_O1_1Al
xlim([1 44]) % left and right limits of the x-axis
xlabel('Frequency / MHz') % x-axis label
ylabel('Signal Amplitude / a.u.')
%% DFT 6MR 1Al Simulation O2
clear, clc


Exp.Temperature = 20;
Exp.Range = [1 80];
Exp.nPoints = 440;
Exp.mwFreq = 33.85848;
Exp.ExciteWidth = 100;
Exp.Field = 1165.5;
Options = struct('nKnots',181,'Method','matrix','Enhancement', 'on', 'OriPreSelect', 1);
        Sys.S = 1/2;
        Sys.g = [2.058 2.345];
        Sys.Nucs = '17O';
        A1iso = -42.8; %+-2 MHz
        T1 = [8.7 8.7 -17.4]; %+-1 MHz
        Sys.A = [A1iso + T1];
        %Sys.gFrame = orca.gFrame;
        Sys.AFrame = [0 90 0]*pi/180;
        %Sys.Q = 5;
        %Sys.QFrame = [0 0 0]*pi/180;
        Sys.lwEndor = 1.2;
        
        [v_sim,spc_sim_O2_1Al]=salt(Sys,Exp,Options);
        spc_sim_O2_1Al=real(spc_sim_O2_1Al)/max(real(spc_sim_O2_1Al));
        
        figure('Name','Simulation','NumberTitle','off');
        plot(v_sim,spc_sim_O2_1Al,'r','LineWidth',1);
        save O17_1Al_O2_perp spc_sim_O2_1Al
xlim([1 44]) % left and right limits of the x-axis
xlabel('Frequency / MHz') % x-axis label
ylabel('Signal Amplitude / a.u.')

%% DFT 6MR 1Al Simulation O3
clear, clc


Exp.Temperature = 20;
Exp.Range = [1 80];
Exp.nPoints = 440;
Exp.mwFreq = 33.85848;
Exp.ExciteWidth = 100;
Exp.Field = 1165.5;
Options = struct('nKnots',181,'Method','matrix','Enhancement', 'on', 'OriPreSelect', 1);
        Sys.S = 1/2;
        Sys.g = [2.058 2.345];
        Sys.Nucs = '17O';
        A1iso = -49.6; %+-2 MHz
        T1 = [12.9 12.9 -25.9]; %+-1 MHz
        Sys.A = [A1iso + T1];
        %Sys.gFrame = orca.gFrame;
        Sys.AFrame = [0 90 0]*pi/180;
        %Sys.Q = 5;
        %Sys.QFrame = [0 0 0]*pi/180;
        Sys.lwEndor = 1.2;
        
        [v_sim,spc_sim_O3_1Al]=salt(Sys,Exp,Options);
        spc_sim_O3_1Al=real(spc_sim_O3_1Al)/max(real(spc_sim_O3_1Al));
        
        figure('Name','Simulation','NumberTitle','off');
        plot(v_sim,spc_sim_O3_1Al,'r','LineWidth',1);
        save O17_1Al_O3_perp spc_sim_O3_1Al
xlim([1 44]) % left and right limits of the x-axis
xlabel('Frequency / MHz') % x-axis label
ylabel('Signal Amplitude / a.u.')

%% DFT 6MR 1Al Simulation O4
clear, clc


Exp.Temperature = 20;
Exp.Range = [1 80];
Exp.nPoints = 440;
Exp.mwFreq = 33.85848;
Exp.ExciteWidth = 100;
Exp.Field = 1165.5;
Options = struct('nKnots',181,'Method','matrix','Enhancement', 'on', 'OriPreSelect', 1);
        Sys.S = 1/2;
        Sys.g = [2.058 2.345];
        Sys.Nucs = '17O';
        A1iso = -32.5; %+-2 MHz
        T1 = [6.3 6.4 -12.7]; %+-1 MHz
        Sys.A = [A1iso + T1];
        %Sys.gFrame = orca.gFrame;
        Sys.AFrame = [0 90 0]*pi/180;
        %Sys.Q = 5;
        %Sys.QFrame = [0 0 0]*pi/180;
        Sys.lwEndor = 1.2;
        
        [v_sim,spc_sim_O4_1Al]=salt(Sys,Exp,Options);
        spc_sim_O4_1Al=real(spc_sim_O4_1Al)/max(real(spc_sim_O4_1Al));
        
        figure('Name','Simulation','NumberTitle','off');
        plot(v_sim,spc_sim_O4_1Al,'r','LineWidth',1);
        save O17_1Al_O4_perp spc_sim_O4_1Al
xlim([1 44]) % left and right limits of the x-axis
xlabel('Frequency / MHz') % x-axis label
ylabel('Signal Amplitude / a.u.')

%% plotting at the parallel position
[v(1,:),spc(1,:)] = eprload('ENDOR data/CuCHA_17O_11655G_dehydrated.DSC');
figure
newcolors = {'#F00','#F00','#00F','#993300','#00F','#50F','#A0F'}; %rosso rosso blue saddlebrown scuro blu indaco violetto
colororder(newcolors)
spc(1,:) = real(spc(1,:))/max(real(spc(1,:)));
%hold on
spc_sim_1Al=spc_sim_O1_1Al+spc_sim_O2_1Al+spc_sim_O3_1Al+spc_sim_O4_1Al;
spc_sim_1Al=spc_sim_1Al/max(spc_sim_1Al);
spc_sim_2NN=spc_sim_O1_2NN+spc_sim_O2_2NN+spc_sim_O3_2NN+spc_sim_O4_2NN;
spc_sim_2NN=spc_sim_2NN/max(spc_sim_2NN);
spc_sim_3NN=spc_sim_O1_3NN+spc_sim_O2_3NN+spc_sim_O3_3NN+spc_sim_O4_3NN;
spc_sim_3NN=spc_sim_3NN/max(spc_sim_3NN);
 plot(v(1,:),spc(1,:),'k',v_sim,spc_sim_3NN-1.5,v_sim,spc_sim_2NN-3,v_sim,spc_sim_1Al-4.5,'LineWidth',4);
k = gca;
k.YAxis.Visible = 'off';
k.XAxis.FontSize = 35;
set(k,'linewidth', 1,'box','off','fontname','Times New Roman','XTick',[1,5,10,15,20,25,30,35,40,45,50]);
xlim([1 50]); % left and right limits of the x-axis
ylim([-5 1.3]);
xlabel('Frequency / MHz'); % x-axis label
%% plotting at the parallel position (only O close to Al)
[v(1,:),spc(1,:)] = eprload('17ODavies_11655_20K_basecorr.DSC');
figure
%newcolors = {'#F00','#F80','#FF0','#0B0','#00F','#50F','#A0F'}; rosso,
%arancione, giallo, verde scuro, blu, indaco, violetto
newcolors = {'#F00','#F00','#00F','#993300','#00F','#50F','#A0F'};
colororder(newcolors)
spc(1,:) = real(spc(1,:))/max(real(spc(1,:)));
%hold on
spc_sim_1Al=spc_sim_O1_1Al+spc_sim_O3_1Al;
spc_sim_1Al=spc_sim_1Al/max(spc_sim_1Al);
spc_sim_2NN=spc_sim_O1_2NN+spc_sim_O2_2NN+spc_sim_O3_2NN;
spc_sim_2NN=spc_sim_2NN/max(spc_sim_2NN);
spc_sim_3NN=spc_sim_O1_3NN+spc_sim_O3_3NN+spc_sim_O4_3NN;
spc_sim_3NN=spc_sim_3NN/max(spc_sim_3NN);
 plot(v(1,:),spc(1,:),'k',v_sim,spc_sim_3NN-1.5,v_sim,spc_sim_2NN-3,v_sim,spc_sim_1Al-4.5,'LineWidth',4);
k = gca;
k.YAxis.Visible = 'off';
k.XAxis.FontSize = 35;
set(k,'linewidth', 1,'box','off','fontname','Times New Roman','XTick',[1,5,10,15,20,25,30,35,40,45,50]);
xlim([1 50]); % left and right limits of the x-axis
ylim([-5 1.3]);
xlabel('Frequency / MHz'); % x-axis label






