% After having FFT the experimental spectrum 'CuCHA_fully_hydrated.DSC',
% import the experimental parameters as v1,v2 and exp
%% hydrated
clear

Sys.Nucs = '27Al';
Aiso = -2.3;
T = [-1 -1 2];
Sys.A = [Aiso + T];
Sys.g = [2.060 2.345];
Sys.AFrame = [0 0 0]*pi/180;
Sys.Q = 0;
Sys.QFrame = [0 20 0]*pi/180; 

Exp.Sequence = 'HYSCORE';
Exp.Field = 335;
Exp.tau = 0.104;
Exp.dt = 0.016;
Exp.t = 0.080;
Exp.mwFreq = 9.747828;
Exp.ExciteWidth = 50;
Exp.nPoints = [170 170];

Options.GridSize = 91;
Options.ProductRule = 1;

%figure(1);
[x1,x2,p] = saffron(Sys,Exp,Options); % x1 and x2 are the abscissas in time domain 
                                    % y is in time domain as well
                                    % p contains all the Fourier transformed data

v1sim=p.f1;                             % definition of the first frequency abscissa 
v2sim=p.f2;                            % definition of the second frequency abscissa
sim=p.fd;        
contourlevels = linspace(0.3,1,40);
normsim = abs(sim)/max(max(abs(sim)));
normexp = exp/max(max(exp));
figure
subplot(4,4,1:3)
plot(v2sim,max(normsim,[],1),'r', v2,max(normexp,[],1),'k')
k = gca;
set(k,'linewidth', 1,'fontname','Times New Roman');
k.XAxis.FontSize = 30;
k.YAxis.FontSize = 30;
xlim([0 8.5])
subplot(4,4,[5:7,9:11,13:15])
contour(v2sim,v1sim,normsim,contourlevels,'r')
hold on
contour(v2,v1,normexp,contourlevels,'k')
plot([0 8.5],[0 8.5],'k--')
plot([0 3.72*2],[3.72*2 0],'k--')
h = gca;
set(h,'linewidth', 1,'fontname','Times New Roman');
h.XAxis.FontSize = 30;
h.YAxis.FontSize = 30;
xlim([0,8.5])
ylim([0 8.5])
hold off
subplot(4,4,[8,12,16])
plot(max(normsim,[],2),v1sim,'r',max(normexp,[],2),v1,'k')
j = gca;
set(j,'linewidth', 1,'fontname','Times New Roman');
j.XAxis.FontSize = 30;
j.YAxis.FontSize = 30;
ylim([0 8.5])

%% Dehydrated

clear

Sys.Nucs = '27Al';
Aiso = -3.0;
T = [2 2 -4];
Sys.A = [Aiso + T];
Sys.g = [2.060 2.345];
Sys.AFrame = [0 0 0]*pi/180;
Sys.Q = 11;
Sys.QFrame = [0 90 0]*pi/180; 

Exp.Sequence = 'HYSCORE';
Exp.Field = 335;
Exp.tau = 0.104;
Exp.dt = 0.016;
Exp.t = 0.080;
Exp.mwFreq = 9.747828;
Exp.ExciteWidth = 50;
Exp.nPoints = [170 170];

Options.GridSize = 91;
Options.ProductRule = 1;

%figure(1);
[x1,x2,p] = saffron(Sys,Exp,Options); % x1 and x2 are the abscissas in time domain 
                                    % y is in time domain as well
                                    % p contains all the Fourier transformed data

v1sim=p.f1;                             % definition of the first frequency abscissa 
v2sim=p.f2;                            % definition of the second frequency abscissa
sim=p.fd;        
contourlevels = linspace(0.3,1,40);
normsim = abs(sim)/max(max(abs(sim)));
normexp = exp/max(max(exp));
figure
subplot(4,4,1:3)
plot(v2sim,max(normsim,[],1),'r', v2,max(normexp,[],1),'k')
k = gca;
set(k,'linewidth', 1,'fontname','Times New Roman');
k.XAxis.FontSize = 30;
k.YAxis.FontSize = 30;
xlim([0 8.5])
subplot(4,4,[5:7,9:11,13:15])
contour(v2sim,v1sim,normsim,contourlevels,'r')
hold on
contour(v2,v1,normexp,contourlevels,'k')
plot([0 8.5],[0 8.5],'k--')
plot([0 3.72*2],[3.72*2 0],'k--')
h = gca;
set(h,'linewidth', 1,'fontname','Times New Roman');
h.XAxis.FontSize = 30;
h.YAxis.FontSize = 30;
xlim([0,8.5])
ylim([0 8.5])
hold off
subplot(4,4,[8,12,16])
plot(max(normsim,[],2),v1sim,'r',max(normexp,[],2),v1,'k')
j = gca;
set(j,'linewidth', 1,'fontname','Times New Roman');
j.XAxis.FontSize = 30;
j.YAxis.FontSize = 30;
ylim([0 8.5])