% After having FFT the experimental spectrum 'CuCHA_fully_hydrated.DSC',
% import the experimental parameters as v1,v2 and exp
clear,clc
Sys.Nucs = '1H,1H';
A1iso = -1.5;
T1 = [-4 -6 10];
A2iso = 0.3;
T2 = [-3 -4 7];
Sys.A = [A1iso + T1;A2iso + T2];
Sys.g = [2.070 2.415];
Sys.AFrame = [0 90 0;0 20 0]*pi/180;

Exp.Sequence = 'HYSCORE';
Exp.Field = 350;
Exp.tau = 0.104;
Exp.dt = 0.016;
Exp.t = 0.080;
Exp.mwFreq = 9.747828;
Exp.ExciteWidth = 80;
Exp.nPoints = [170 170];

Opt.nKnots = 181;
Opt.ProductRule = 1;

%figure(1);
[x,y,p] = saffron(Sys,Exp,Opt); % x1 and x2 are the abscissas in time domain 
                                    % y is in time domain as well
                                    % p contains all the Fourier transformed data

v1sim=p.f1;                             % definition of the first frequency abscissa 
v2sim=p.f2;                            % definition of the second frequency abscissa
sim=p.fd;             
contourlevels = linspace(0.3,1,40);
normsim = (abs(sim)/max(max(abs(sim))))*0.8;
normexp = exp/max(max(exp));
figure
subplot(4,4,1:3)
plot(v2sim,max(normsim,[],1),'r', v2,max(normexp,[],1),'k');
k = gca;
set(k,'linewidth', 1,'fontname','Times New Roman');
k.XAxis.FontSize = 30;
k.YAxis.FontSize = 30;
xlim([10 18.5])
subplot(4,4,[5:7,9:11,13:15])
contour(v2sim,v1sim,normsim,contourlevels,'r')
hold on
contour(v2,v1,normexp,contourlevels,'k')
plot([10 18.5],[10 18.5],'k--')
plot([0 14.9021186*2],[14.9021186*2 0],'k--')
h = gca;
set(h,'linewidth', 1,'fontname','Times New Roman');
h.XAxis.FontSize = 30;
h.YAxis.FontSize = 30;
xlim([10,18.5])
ylim([10 18.5])
hold off
subplot(4,4,[8,12,16])
plot(max(normsim,[],2),v1sim,'r',max(normexp,[],2),v1,'k');
j = gca;
set(j,'linewidth', 1,'fontname','Times New Roman');
j.XAxis.FontSize = 30;
j.YAxis.FontSize = 30;
ylim([10 18.5])